ApiImpalaTenantUtilization (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiImpalaTenantUtilization

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiImpalaTenantUtilization

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiImpalaTenantUtilization
      extends Object

  Utilization report information of a tenant of Impala application.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiImpalaTenantUtilization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiImpalaTenantUtilization` | `allocatedAtMaxUtilized(BigDecimal allocatedAtMaxUtilized)`
    `ApiImpalaTenantUtilization` | `allocatedAtMaxUtilizedPercentage(BigDecimal allocatedAtMaxUtilizedPercentage)`
    `ApiImpalaTenantUtilization` | `avgSpilledMemory(BigDecimal avgSpilledMemory)`
    `ApiImpalaTenantUtilization` | `avgWaitTimeInQueue(BigDecimal avgWaitTimeInQueue)`
    `ApiImpalaTenantUtilization` | `distributionAllocatedByImpalaDaemon(ApiImpalaUtilizationHistogram distributionAllocatedByImpalaDaemon)`
    `ApiImpalaTenantUtilization` | `distributionUtilizedByImpalaDaemon(ApiImpalaUtilizationHistogram distributionUtilizedByImpalaDaemon)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getAllocatedAtMaxUtilized()` The amount of memory (in bytes) reserved by Impala at the time when it was using the maximum memory for executing queries.
    `BigDecimal` | `getAllocatedAtMaxUtilizedPercentage()` The percentage of memory reserved by Impala at the time when it was using the maximum memory for executing queries.
    `BigDecimal` | `getAvgSpilledMemory()` Average spill per query.
    `BigDecimal` | `getAvgWaitTimeInQueue()` Average time, in milliseconds, spent by a query in an Impala pool while waiting for resources.
    `ApiImpalaUtilizationHistogram` | `getDistributionAllocatedByImpalaDaemon()` Get distributionAllocatedByImpalaDaemon
    `ApiImpalaUtilizationHistogram` | `getDistributionUtilizedByImpalaDaemon()` Get distributionUtilizedByImpalaDaemon
    `BigDecimal` | `getMaxAllocatedMemory()` The maximum memory (in bytes) that was reserved by Impala for executing queries.
    `BigDecimal` | `getMaxAllocatedMemoryPercentage()` The maximum percentage of memory that was reserved by Impala for executing queries.
    `BigDecimal` | `getMaxSpilledMemory()` Maximum spill per query.
    `BigDecimal` | `getMaxUtilizedMemory()` The maximum memory (in bytes) that was used by Impala for executing queries.
    `BigDecimal` | `getMaxUtilizedMemoryPercentage()` The maximum percentage of memory that was used by Impala for executing queries.
    `BigDecimal` | `getOomQueries()` Number of queries that failed due to insufficient memory.
    `BigDecimal` | `getPeakAllocationTimestampMS()` The time when Impala reserved the maximum amount of memory for queries.
    `BigDecimal` | `getPeakUsageTimestampMS()` The time when Impala used the maximum amount of memory for queries.
    `BigDecimal` | `getRejectedQueries()` Number of queries that were rejected by Impala because the pool was full.
    `BigDecimal` | `getSuccessfulQueries()` Number of queries that finished successfully.
    `String` | `getTenantName()` Name of the tenant.
    `BigDecimal` | `getTimeOutQueries()` Number of queries that timed out while waiting for resources in a pool.
    `BigDecimal` | `getTotalQueries()` Total number of queries submitted to Impala.
    `BigDecimal` | `getUtilizedAtMaxAllocated()` The amount of memory (in bytes) used by Impala for running queries at the time when maximum memory was reserved.
    `BigDecimal` | `getUtilizedAtMaxAllocatedPercentage()` The percentage of memory used by Impala for running queries at the time when maximum memory was reserved.
    `int` | `hashCode()`
    `ApiImpalaTenantUtilization` | `maxAllocatedMemory(BigDecimal maxAllocatedMemory)`
    `ApiImpalaTenantUtilization` | `maxAllocatedMemoryPercentage(BigDecimal maxAllocatedMemoryPercentage)`
    `ApiImpalaTenantUtilization` | `maxSpilledMemory(BigDecimal maxSpilledMemory)`
    `ApiImpalaTenantUtilization` | `maxUtilizedMemory(BigDecimal maxUtilizedMemory)`
    `ApiImpalaTenantUtilization` | `maxUtilizedMemoryPercentage(BigDecimal maxUtilizedMemoryPercentage)`
    `ApiImpalaTenantUtilization` | `oomQueries(BigDecimal oomQueries)`
    `ApiImpalaTenantUtilization` | `peakAllocationTimestampMS(BigDecimal peakAllocationTimestampMS)`
    `ApiImpalaTenantUtilization` | `peakUsageTimestampMS(BigDecimal peakUsageTimestampMS)`
    `ApiImpalaTenantUtilization` | `rejectedQueries(BigDecimal rejectedQueries)`
    `void` | `setAllocatedAtMaxUtilized(BigDecimal allocatedAtMaxUtilized)`
    `void` | `setAllocatedAtMaxUtilizedPercentage(BigDecimal allocatedAtMaxUtilizedPercentage)`
    `void` | `setAvgSpilledMemory(BigDecimal avgSpilledMemory)`
    `void` | `setAvgWaitTimeInQueue(BigDecimal avgWaitTimeInQueue)`
    `void` | `setDistributionAllocatedByImpalaDaemon(ApiImpalaUtilizationHistogram distributionAllocatedByImpalaDaemon)`
    `void` | `setDistributionUtilizedByImpalaDaemon(ApiImpalaUtilizationHistogram distributionUtilizedByImpalaDaemon)`
    `void` | `setMaxAllocatedMemory(BigDecimal maxAllocatedMemory)`
    `void` | `setMaxAllocatedMemoryPercentage(BigDecimal maxAllocatedMemoryPercentage)`
    `void` | `setMaxSpilledMemory(BigDecimal maxSpilledMemory)`
    `void` | `setMaxUtilizedMemory(BigDecimal maxUtilizedMemory)`
    `void` | `setMaxUtilizedMemoryPercentage(BigDecimal maxUtilizedMemoryPercentage)`
    `void` | `setOomQueries(BigDecimal oomQueries)`
    `void` | `setPeakAllocationTimestampMS(BigDecimal peakAllocationTimestampMS)`
    `void` | `setPeakUsageTimestampMS(BigDecimal peakUsageTimestampMS)`
    `void` | `setRejectedQueries(BigDecimal rejectedQueries)`
    `void` | `setSuccessfulQueries(BigDecimal successfulQueries)`
    `void` | `setTenantName(String tenantName)`
    `void` | `setTimeOutQueries(BigDecimal timeOutQueries)`
    `void` | `setTotalQueries(BigDecimal totalQueries)`
    `void` | `setUtilizedAtMaxAllocated(BigDecimal utilizedAtMaxAllocated)`
    `void` | `setUtilizedAtMaxAllocatedPercentage(BigDecimal utilizedAtMaxAllocatedPercentage)`
    `ApiImpalaTenantUtilization` | `successfulQueries(BigDecimal successfulQueries)`
    `ApiImpalaTenantUtilization` | `tenantName(String tenantName)`
    `ApiImpalaTenantUtilization` | `timeOutQueries(BigDecimal timeOutQueries)`
    `String` | `toString()`
    `ApiImpalaTenantUtilization` | `totalQueries(BigDecimal totalQueries)`
    `ApiImpalaTenantUtilization` | `utilizedAtMaxAllocated(BigDecimal utilizedAtMaxAllocated)`
    `ApiImpalaTenantUtilization` | `utilizedAtMaxAllocatedPercentage(BigDecimal utilizedAtMaxAllocatedPercentage)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiImpalaTenantUtilization

          public ApiImpalaTenantUtilization()

  - ### Method Detail

    - #### tenantName

          public ApiImpalaTenantUtilization tenantName(String tenantName)

    - #### getTenantName

          public String getTenantName()

      Name of the tenant.
      Returns:
        tenantName

    - #### setTenantName

          public void setTenantName(String tenantName)

    - #### totalQueries

          public ApiImpalaTenantUtilization totalQueries(BigDecimal totalQueries)

    - #### getTotalQueries

          public BigDecimal getTotalQueries()

      Total number of queries submitted to Impala.
      Returns:
        totalQueries

    - #### setTotalQueries

          public void setTotalQueries(BigDecimal totalQueries)

    - #### successfulQueries

          public ApiImpalaTenantUtilization successfulQueries(BigDecimal successfulQueries)

    - #### getSuccessfulQueries

          public BigDecimal getSuccessfulQueries()

      Number of queries that finished successfully.
      Returns:
        successfulQueries

    - #### setSuccessfulQueries

          public void setSuccessfulQueries(BigDecimal successfulQueries)

    - #### oomQueries

          public ApiImpalaTenantUtilization oomQueries(BigDecimal oomQueries)

    - #### getOomQueries

          public BigDecimal getOomQueries()

      Number of queries that failed due to insufficient memory.
      Returns:
        oomQueries

    - #### setOomQueries

          public void setOomQueries(BigDecimal oomQueries)

    - #### timeOutQueries

          public ApiImpalaTenantUtilization timeOutQueries(BigDecimal timeOutQueries)

    - #### getTimeOutQueries

          public BigDecimal getTimeOutQueries()

      Number of queries that timed out while waiting for resources in a pool.
      Returns:
        timeOutQueries

    - #### setTimeOutQueries

          public void setTimeOutQueries(BigDecimal timeOutQueries)

    - #### rejectedQueries

          public ApiImpalaTenantUtilization rejectedQueries(BigDecimal rejectedQueries)

    - #### getRejectedQueries

          public BigDecimal getRejectedQueries()

      Number of queries that were rejected by Impala because the pool was full.
      Returns:
        rejectedQueries

    - #### setRejectedQueries

          public void setRejectedQueries(BigDecimal rejectedQueries)

    - #### avgWaitTimeInQueue

          public ApiImpalaTenantUtilization avgWaitTimeInQueue(BigDecimal avgWaitTimeInQueue)

    - #### getAvgWaitTimeInQueue

          public BigDecimal getAvgWaitTimeInQueue()

      Average time, in milliseconds, spent by a query in an Impala pool while waiting for resources.
      Returns:
        avgWaitTimeInQueue

    - #### setAvgWaitTimeInQueue

          public void setAvgWaitTimeInQueue(BigDecimal avgWaitTimeInQueue)

    - #### peakAllocationTimestampMS

          public ApiImpalaTenantUtilization peakAllocationTimestampMS(BigDecimal peakAllocationTimestampMS)

    - #### getPeakAllocationTimestampMS

          public BigDecimal getPeakAllocationTimestampMS()

      The time when Impala reserved the maximum amount of memory for queries.
      Returns:
        peakAllocationTimestampMS

    - #### setPeakAllocationTimestampMS

          public void setPeakAllocationTimestampMS(BigDecimal peakAllocationTimestampMS)

    - #### maxAllocatedMemory

          public ApiImpalaTenantUtilization maxAllocatedMemory(BigDecimal maxAllocatedMemory)

    - #### getMaxAllocatedMemory

          public BigDecimal getMaxAllocatedMemory()

      The maximum memory (in bytes) that was reserved by Impala for executing queries.
      Returns:
        maxAllocatedMemory

    - #### setMaxAllocatedMemory

          public void setMaxAllocatedMemory(BigDecimal maxAllocatedMemory)

    - #### maxAllocatedMemoryPercentage

          public ApiImpalaTenantUtilization maxAllocatedMemoryPercentage(BigDecimal maxAllocatedMemoryPercentage)

    - #### getMaxAllocatedMemoryPercentage

          public BigDecimal getMaxAllocatedMemoryPercentage()

      The maximum percentage of memory that was reserved by Impala for executing queries.
      Returns:
        maxAllocatedMemoryPercentage

    - #### setMaxAllocatedMemoryPercentage

          public void setMaxAllocatedMemoryPercentage(BigDecimal maxAllocatedMemoryPercentage)

    - #### utilizedAtMaxAllocated

          public ApiImpalaTenantUtilization utilizedAtMaxAllocated(BigDecimal utilizedAtMaxAllocated)

    - #### getUtilizedAtMaxAllocated

          public BigDecimal getUtilizedAtMaxAllocated()

      The amount of memory (in bytes) used by Impala for running queries at the time when maximum memory was reserved.
      Returns:
        utilizedAtMaxAllocated

    - #### setUtilizedAtMaxAllocated

          public void setUtilizedAtMaxAllocated(BigDecimal utilizedAtMaxAllocated)

    - #### utilizedAtMaxAllocatedPercentage

          public ApiImpalaTenantUtilization utilizedAtMaxAllocatedPercentage(BigDecimal utilizedAtMaxAllocatedPercentage)

    - #### getUtilizedAtMaxAllocatedPercentage

          public BigDecimal getUtilizedAtMaxAllocatedPercentage()

      The percentage of memory used by Impala for running queries at the time when maximum memory was reserved.
      Returns:
        utilizedAtMaxAllocatedPercentage

    - #### setUtilizedAtMaxAllocatedPercentage

          public void setUtilizedAtMaxAllocatedPercentage(BigDecimal utilizedAtMaxAllocatedPercentage)

    - #### peakUsageTimestampMS

          public ApiImpalaTenantUtilization peakUsageTimestampMS(BigDecimal peakUsageTimestampMS)

    - #### getPeakUsageTimestampMS

          public BigDecimal getPeakUsageTimestampMS()

      The time when Impala used the maximum amount of memory for queries.
      Returns:
        peakUsageTimestampMS

    - #### setPeakUsageTimestampMS

          public void setPeakUsageTimestampMS(BigDecimal peakUsageTimestampMS)

    - #### maxUtilizedMemory

          public ApiImpalaTenantUtilization maxUtilizedMemory(BigDecimal maxUtilizedMemory)

    - #### getMaxUtilizedMemory

          public BigDecimal getMaxUtilizedMemory()

      The maximum memory (in bytes) that was used by Impala for executing queries.
      Returns:
        maxUtilizedMemory

    - #### setMaxUtilizedMemory

          public void setMaxUtilizedMemory(BigDecimal maxUtilizedMemory)

    - #### maxUtilizedMemoryPercentage

          public ApiImpalaTenantUtilization maxUtilizedMemoryPercentage(BigDecimal maxUtilizedMemoryPercentage)

    - #### getMaxUtilizedMemoryPercentage

          public BigDecimal getMaxUtilizedMemoryPercentage()

      The maximum percentage of memory that was used by Impala for executing queries.
      Returns:
        maxUtilizedMemoryPercentage

    - #### setMaxUtilizedMemoryPercentage

          public void setMaxUtilizedMemoryPercentage(BigDecimal maxUtilizedMemoryPercentage)

    - #### allocatedAtMaxUtilized

          public ApiImpalaTenantUtilization allocatedAtMaxUtilized(BigDecimal allocatedAtMaxUtilized)

    - #### getAllocatedAtMaxUtilized

          public BigDecimal getAllocatedAtMaxUtilized()

      The amount of memory (in bytes) reserved by Impala at the time when it was using the maximum memory for executing queries.
      Returns:
        allocatedAtMaxUtilized

    - #### setAllocatedAtMaxUtilized

          public void setAllocatedAtMaxUtilized(BigDecimal allocatedAtMaxUtilized)

    - #### allocatedAtMaxUtilizedPercentage

          public ApiImpalaTenantUtilization allocatedAtMaxUtilizedPercentage(BigDecimal allocatedAtMaxUtilizedPercentage)

    - #### getAllocatedAtMaxUtilizedPercentage

          public BigDecimal getAllocatedAtMaxUtilizedPercentage()

      The percentage of memory reserved by Impala at the time when it was using the maximum memory for executing queries.
      Returns:
        allocatedAtMaxUtilizedPercentage

    - #### setAllocatedAtMaxUtilizedPercentage

          public void setAllocatedAtMaxUtilizedPercentage(BigDecimal allocatedAtMaxUtilizedPercentage)

    - #### distributionUtilizedByImpalaDaemon

          public ApiImpalaTenantUtilization distributionUtilizedByImpalaDaemon(ApiImpalaUtilizationHistogram distributionUtilizedByImpalaDaemon)

    - #### getDistributionUtilizedByImpalaDaemon

          public ApiImpalaUtilizationHistogram getDistributionUtilizedByImpalaDaemon()

      Get distributionUtilizedByImpalaDaemon
      Returns:
        distributionUtilizedByImpalaDaemon

    - #### setDistributionUtilizedByImpalaDaemon

          public void setDistributionUtilizedByImpalaDaemon(ApiImpalaUtilizationHistogram distributionUtilizedByImpalaDaemon)

    - #### distributionAllocatedByImpalaDaemon

          public ApiImpalaTenantUtilization distributionAllocatedByImpalaDaemon(ApiImpalaUtilizationHistogram distributionAllocatedByImpalaDaemon)

    - #### getDistributionAllocatedByImpalaDaemon

          public ApiImpalaUtilizationHistogram getDistributionAllocatedByImpalaDaemon()

      Get distributionAllocatedByImpalaDaemon
      Returns:
        distributionAllocatedByImpalaDaemon

    - #### setDistributionAllocatedByImpalaDaemon

          public void setDistributionAllocatedByImpalaDaemon(ApiImpalaUtilizationHistogram distributionAllocatedByImpalaDaemon)

    - #### avgSpilledMemory

          public ApiImpalaTenantUtilization avgSpilledMemory(BigDecimal avgSpilledMemory)

    - #### getAvgSpilledMemory

          public BigDecimal getAvgSpilledMemory()

      Average spill per query.
      Returns:
        avgSpilledMemory

    - #### setAvgSpilledMemory

          public void setAvgSpilledMemory(BigDecimal avgSpilledMemory)

    - #### maxSpilledMemory

          public ApiImpalaTenantUtilization maxSpilledMemory(BigDecimal maxSpilledMemory)

    - #### getMaxSpilledMemory

          public BigDecimal getMaxSpilledMemory()

      Maximum spill per query.
      Returns:
        maxSpilledMemory

    - #### setMaxSpilledMemory

          public void setMaxSpilledMemory(BigDecimal maxSpilledMemory)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.